2009j available - Timezone change for Bangladesh

Bug #383444 reported by Russell John on 2009-06-04
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
tzdata (Fedora)
Fix Released
Unknown
tzdata (Ubuntu)
High
Martin Pitt
Dapper
High
Martin Pitt
Hardy
High
Martin Pitt
Intrepid
High
Martin Pitt
Jaunty
High
Martin Pitt
Karmic
High
Martin Pitt

Bug Description

Binary package hint: tzdata

Bangladesh introduces DST for the first time, setting the clocks head for an hour from 11 PM, June 19, 2009.

Timezone should therefor be changed to GMT +7 from current GMT +6 for Asia/Dhaka from above mentioned date.

It is however undecided how long this will be in effect, but estimated to be till September 30, 2009, just before the winter.

Reference:
Wikipedia: http://tr.im/nmHn
The Daily Star: http://tr.im/nmH9
AHN: http://tr.im/nmHu
Asian Tribune: http://tr.im/nmGS

SRU test case:
$ LANG= TZ=Asia/Dhaka date
Thu Jun 18 20:17:16 BDT 2009
$ LANG= TZ=Asia/Dhaka date -d "next week"
Thu Jun 25 21:17:10 BDST 2009

description: updated
Martin Pitt (pitti) wrote :
Changed in tzdata (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → In Progress
Changed in tzdata (Fedora):
status: Unknown → In Progress
Changed in tzdata (Fedora):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :
Changed in tzdata (Ubuntu):
status: In Progress → Fix Committed
summary: - Timezone change for Bangladesh
+ 2009i available - Timezone change for Bangladesh

2009f-2009g delta: http://launchpadlibrarian.net/26062843/2009f-2009g.diff
  - Update DST rule in Egypt which won't get effective before September.

2009g-2009h delta: http://launchpadlibrarian.net/27401732/2009g-2009h.diff
  - Fix historic DST in Jordan
  - Fix latitude/longitude of a couple of "principal regions" in zone.tab.

2009h-2009i delta: (attached)
  - Introduce Bangladesh DST.

Russell John (russell.john) wrote :

Great! Thank you, Martin. :)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009i-0ubuntu1

---------------
tzdata (2009i-0ubuntu1) karmic; urgency=low

  * New upstream version 2009i:
    - Introduce Bangladesh DST. (LP: #383444)

 -- Martin Pitt <email address hidden> Fri, 12 Jun 2009 11:44:25 +0200

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

All uploaded, waiting for SRU processing. For dapper the source package is langpack-locales again.

Changed in tzdata (Ubuntu Dapper):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → In Progress
status: In Progress → Fix Committed
Changed in tzdata (Ubuntu Hardy):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → Fix Committed
Changed in tzdata (Ubuntu Jaunty):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → Fix Committed
Changed in tzdata (Ubuntu Intrepid):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → Fix Committed
Colin Watson (cjwatson) wrote :

Accepted into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Colin Watson (cjwatson) wrote :

Accepted into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Colin Watson (cjwatson) wrote :

Accepted into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Colin Watson (cjwatson) wrote :

Accepted into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Fedora):
status: Fix Committed → Unknown

Using the proposed update for hardy. Looking at the zone data using zdump I can see the timezone is suddenly changed to UTC from BDT at 20th Jun 2009 (00:00) to 2009-06-19 1800 UTC. Also, DST is still zero.
To my understanding it will create confusion as suddenly I will see my server time (localtime) changed from BDT to UTC.

Martin Pitt (pitti) wrote :

I asked about this on the upstream mailing list. Marking v-failed for now.

tags: added: verification-failed
removed: verification-needed
Changed in tzdata (Fedora):
status: Unknown → Fix Released
Martin Pitt (pitti) wrote :

There's a new patch from upstream which updates DST end as well as avoid the BD%sT syntax which caused this "UTC" problem: http://article.gmane.org/gmane.comp.time.tz/2776

However, it still doesn't work right:

Asia/Dhaka Thu Mar 25 18:00:00 1971 UTC = Fri Mar 26 00:00:00 1971 BDT isdst=0 gmtoff=21600
Asia/Dhaka Fri Jun 19 16:59:59 2009 UTC = Fri Jun 19 22:59:59 2009 BDT isdst=0 gmtoff=21600
Asia/Dhaka Fri Jun 19 17:00:00 2009 UTC = Fri Jun 19 23:00:00 2009 BDST isdst=0 gmtoff=21600

It's BDST now, but no gmtoff/isdst changes. I reported back to upstream.

Changed in tzdata (Ubuntu Karmic):
status: Fix Released → In Progress
Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → In Progress
Martin Pitt (pitti) wrote :

2009j is out for now official Bangladesh DST data. I also got a workaround from upstream to make the rules work with our glibc.

summary: - 2009i available - Timezone change for Bangladesh
+ 2009j available - Timezone change for Bangladesh
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009j-0ubuntu1

---------------
tzdata (2009j-0ubuntu1) karmic; urgency=low

  * New upstream version 2009j: Update for new DST information in Bangladesh.
  * Add fix-bdst-syntax.diff: Avoid new format syntax (not specifying DST end
    date), since our glibc does not get along with this. (LP: #383444)

 -- Martin Pitt <email address hidden> Wed, 17 Jun 2009 09:23:33 +0200

Changed in tzdata (Ubuntu Karmic):
status: In Progress → Fix Released
Martin Pitt (pitti) on 2009-06-18
tags: removed: verification-failed
description: updated
tags: added: verification-failed
Martin Pitt (pitti) wrote :

Hardy, Intrepid, Jaunty packages updated to 2009j plus workaround patch.

For some reason, the unpatched upstream tzdata works in dapper, so I'll just upgrade that to 2009 without the patch.

Changed in tzdata (Ubuntu Jaunty):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

langpack-locales_2.3.18.22 uploaded for dapper, with 2009j.

Needs SRU processing now.

Imtiaz Rahi (imtiaz.rahi) wrote :

great. it looks like we are going to get the needed update just before the DST happens.
waiting eagerly for this update.
Red Hat published an update for BD DST which looks like this:
Asia/Dhaka Fri Jun 19 16:59:59 2009 UTC = Fri Jun 19 22:59:59 2009 BDT isdst=0 gmtoff=21600
Asia/Dhaka Fri Jun 19 17:00:00 2009 UTC = Sat Jun 20 00:00:00 2009 BDST isdst=1 gmtoff=25200
It's in right path.
But the Fedora 11 fix has same problem Martin mentioned above
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/383444/comments/13

Colin Watson (cjwatson) wrote :

Accepted into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Colin Watson (cjwatson) wrote :

Accepted into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

It would be great if someone else could verify that this works very fast, so that we can fast-pace this to -updates. Thank you in advance!

Colin Watson (cjwatson) wrote :

Accepted into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Colin Watson (cjwatson) wrote :

Accepted into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Russell John (russell.john) wrote :

Tested on Jaunty. DST is working now, but the zone name becomes BDST after June 19th, which should be BDT.

Imtiaz Rahi (imtiaz.rahi) wrote :

Tested on hardy and intrepid both. DST settings looks great and as expected. Its good to see Ubuntu also included DST end.
John, BDST is the new timezone when Bangladesh enters into DST. It will be back to BDT after Sep 30.

Fri Jun 19 16:59:59 2009 UTC = Fri Jun 19 22:59:59 2009 BDT isdst=0 gmtoff=21600
Fri Jun 19 17:00:00 2009 UTC = Sat Jun 20 00:00:00 2009 BDST isdst=1 gmtoff=25200
Wed Sep 30 16:59:59 2009 UTC = Wed Sep 30 23:59:59 2009 BDST isdst=1 gmtoff=25200
Wed Sep 30 17:00:00 2009 UTC = Wed Sep 30 23:00:00 2009 BDT isdst=0 gmtoff=21600

Need to push these to updates.

Russell John (russell.john) wrote :

The new zone name sounds valid, requesting Martin to push this to -updates. It's June 19th already!

Martin Pitt (pitti) wrote :

I tested the .debs from {dapper,hardy,intrepid,jaunty}-proposed and verified that they all show "BDT" for "right now", and "BDST" for "TZ=Asia/Dhaka date -d tomorrow". Considering verified, together with the positive test results from above.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009j-0ubuntu0.8.04

---------------
tzdata (2009j-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream version 2009j: Update for new DST information in Bangladesh.
  * Add fix-bdst-syntax.diff: Avoid new format syntax (not specifying DST end
    date), since our glibc does not get along with this. (LP: #383444)

 -- Martin Pitt <email address hidden> Thu, 18 Jun 2009 16:25:30 +0200

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009j-0ubuntu0.8.10

---------------
tzdata (2009j-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream version 2009j: Update for new DST information in Bangladesh.
  * Add fix-bdst-syntax.diff: Avoid new format syntax (not specifying DST end
    date), since our glibc does not get along with this. (LP: #383444)

 -- Martin Pitt <email address hidden> Thu, 18 Jun 2009 16:20:50 +0200

Changed in tzdata (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009j-0ubuntu0.9.04

---------------
tzdata (2009j-0ubuntu0.9.04) jaunty-proposed; urgency=low

  * New upstream version 2009j: Update for new DST information in Bangladesh.
  * Add fix-bdst-syntax.diff: Avoid new format syntax (not specifying DST end
    date), since our glibc does not get along with this. (LP: #383444)

 -- Martin Pitt <email address hidden> Thu, 18 Jun 2009 16:13:58 +0200

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

dapper-proposed langpack-locales copied to dapper-updates.

Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
Russell John (russell.john) wrote :

Update:

Clock will go back an hour on October 1, as DST scheme for this year ends on September 30.

The next DST one-hour time shift will be on April 1 next year.

Imtiaz Rahi (imtiaz.rahi) wrote :

The decision is still pending at government level. Guess we just have to wait.
News: DST change awaits cabinet decision [http://www.thedailystar.net/newDesign/news-details.php?nid=107021]

Russell John (russell.john) wrote :

DST ends in Bangladesh on December 31 night:
http://bdnews24.com/details.php?cid=2&id=149526&hb=top

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.